﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    public enum Colors
    {
        Red = 1,
        Blue = 2,
        Green = 3
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            Array colors = Enum.GetValues(typeof(Colors));
            foreach (Colors color in colors)
            {
                ddlColors.Items.Add(new ListItem(color.ToString(), ((int)color).ToString()));
            }
            //Add blank item at index 0.
            ddlColors.Items.Insert(0, new ListItem("--Select Color--", "0"));
        }
    }

    protected void OnSubmit(object sender, EventArgs e)
    {
        int color = int.Parse(ddlColors.SelectedValue);
        if (color > 0)
        {
            string colorName = Enum.GetName(typeof(Colors), color);
            ClientScript.RegisterClientScriptBlock(this.GetType(), "alert", "alert('" + "Color: " + colorName + "\\nID: " + color + "')", true);
        }
    }
}